<?php

require_once('/usr/php/include/configExportImportTool.class.php');

class apiCall {

	private $_name, $_get, $_post, $_execResult, $_execResultString;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = 'ConfigurationCreateBackup';
		$this->_get = $get;
		$this->_post = $post;
		$this->_execResult = true;
		$this->_execResultString = 'success';
	}

	function execute () {

		$exp = new configExportImportTool();
		$this->_execResultString = $exp->exportConfig();

		return($this->_execResult);
	}

	function display () {
		preg_match('/carduuid=([0-9\-]*)/', file_get_contents('/proc/cmdline'), $matches);
		$serial = $matches[1];
		unset($matches);
		$filename = 'beroNetVoIPGateway_' . $serial . '_' . date('c') . '.config.xml';

		header('Content-Type: application/force-download');
		header('Content-Disposition: attachment; filename=' . $filename . "\r\n\r\n");
		header('Content-Length: ' . strlen($this->_execResultString) . "\n\n");

		return($this->_execResultString);
	}
}

?>
